Bug 12228 - All Media Elements should have the ability to have both short and longer textual descriptions associated to the element.
All Media Elements should have the ability to have both short and longer text...
Status: RESOLVED WONTFIX
Product: HTML WG
Classification: Unclassified
Component: LC1 HTML5 spec
unspecified
PC Windows NT
: P2 major
: ---
Assigned To: Edward O'Connor
HTML WG Bugzilla archive list
: WGDecision
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-03 00:41 UTC by John Foliot
Modified: 2013-01-31 16:40 UTC (History)
13 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Foliot 2011-03-03 00:41:20 UTC
The means and ability to apply short and long textual alternatives for <audio> and <video> have not been solved at this time, and the current specification does not allow for this requirement.
Comment 1 Philip Jägenstedt 2011-03-03 08:51:33 UTC
Does the following work?

<video aria-label="A short description">

<video aria-describedby="#desc">
<p id="desc">A long description</p>
Comment 2 Michael Cooper 2011-03-08 16:23:03 UTC
Bug triage sub-team thinks this is a A11Y TF priority because it's related to active media work.
Comment 3 Michael[tm] Smith 2011-08-04 05:12:51 UTC
mass-move component to LC1
Comment 4 Michael[tm] Smith 2011-11-20 17:34:26 UTC
John, this bug is waiting on your response to comment #1:
> Does the following work?
> 
> <video aria-label="A short description">
> 
> <video aria-describedby="#desc">
> <p id="desc">A long description</p>
Comment 5 Ian 'Hixie' Hickson 2011-11-24 18:07:05 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Did Not Understand Request
Change Description: no spec change
Rationale: see comment 4
Comment 6 John Foliot 2012-01-13 04:05:55 UTC
(In reply to comment #4)
> John, this bug is waiting on your response to comment #1:
> > Does the following work?
> > 
> > <video aria-label="A short description">
> > 
> > <video aria-describedby="#desc">
> > <p id="desc">A long description</p>

Philip's example only works if there is an on-screen longer textual description of the media asset, and does not address the use-case of when there is no text on-screen. <video> and <audio>, like images, require a means to ensure that a longer textual description can be provided regardless of visual design considerations. The longer textual description is not to be confused with a transcript

Related to Issue 30 - Should HTML 5 include a longdesc attribute for images 
(Status: Open) http://www.w3.org/html/wg/tracker/issues/30

Possibly related to Issue 142 - No alternative text description for video key frame (poster) 
(Status: Formal Objection) http://lists.w3.org/Archives/Public/public-html/2011Mar/0697.html
Comment 7 Ian 'Hixie' Hickson 2012-01-13 20:34:54 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: HTML supports this fine:

<video src="myvideo.webm"></video>
<p>In this video I show how to peel a banana. First you pinch the end [...].</p>

There's no need for any more magic than that.
Comment 8 John Foliot 2012-01-14 01:11:42 UTC
Editor's response does not address the use-case described. TrqckerRequest tag added
Comment 9 Sam Ruby 2012-01-15 22:06:42 UTC
From the original resolution: if you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug (done), and suggest title and text for the tracker issue (still needed).
Comment 10 Michael[tm] Smith 2012-01-18 03:40:37 UTC
John, see Sam's comment #9:
> From the original resolution: if you would like to escalate the issue to the
> full HTML Working Group, please add the TrackerRequest keyword to this bug
> (done), and suggest title and text for the tracker issue (still needed).

Since you were the one who escalated this, can you also please supply the title and text needed?
Comment 13 Edward O'Connor 2012-08-22 22:20:23 UTC
I'll take this one.
Comment 14 Edward O'Connor 2012-08-22 22:59:24 UTC
Hmm. Is this the right bug to resolve when applying the ISSUE-204 decision? I'll proceed under that assumption.

EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: https://github.com/w3c/html/commit/29724e48d39024f3294c748fc222a584fe0a8742
Rationale: Applied the decision of the Working Group on ISSUE-204.
Comment 15 Sam Ruby 2012-08-22 23:36:53 UTC
Reopening as this bug is indeed associated with issue 203, not 204 as was erroneously indicated in the decision for 204.

204 was split off of issue 30, and none of the bugs that are associated with issue 30 clearly capture issue 203.
Comment 16 Edward O'Connor 2012-10-16 17:23:25 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: No spec change.
Rationale: The Working Group has adopted "Plan 2014," which calls for
this request to be addressed with an extension specification.